Subject: Re: bug#74725: 31.0.50; image-scaling-factor is ignored by create-image

From: Po Lu <[email-masked]>
Date: Sun, 22 Dec 2024 08:26:25 +0800

Eli Zaretskii <[email-masked]> writes:

>> So when the default font changes, all the images are supposed to be
>> resized?  Does that really happen, and if so, is that a good idea in
>> all cases?

IMHO, yes, considering that most images are scaled by default.

>> But, as this bug seems to indicate, that solution doesn't always work?

Not when image-scaling-factor is not configured to `auto', yes.

>> OK, so do you consider the solution of recording the scale factor in
>> the cache a reasonable one?

That is alright by me.